%global srcname natsort
%global sum Python library that sorts lists using the "natural order" sort

Name:           python-%{srcname}
Version:        4.0.4
Release:        1%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://github.com/SethMMorton/%{srcname}
Source0:        https://pypi.python.org/packages/source/n/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

# required for tests
BuildRequires:  python2-pytest
BuildRequires:  python2-pytest-cache
BuildRequires:  python2-pytest-cov
BuildRequires:  python2-pytest-flakes
BuildRequires:  python-pytest-pep8
BuildRequires:  python2-execnet
BuildRequires:  python-pathlib
BuildRequires:  python2-mock
BuildRequires:  python2-hypothesis
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cache
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-pytest-flakes
BuildRequires:  python3-pytest-pep8
BuildRequires:  python3-execnet
BuildRequires:  python3-mock
BuildRequires:  python3-hypothesis

%description
Python module which provides "natural sorting".

Under natural sorting, numeric sub-strings are compared numerically,
and the other word characters are compared lexically.

Example:
unsorted:           ['a2', 'a9', 'a1', 'a4', 'a10']
lexicographic sort: ['a1', 'a10', 'a2', 'a4', 'a9']
natural sort:       ['a1', 'a2', 'a4', 'a9', 'a10']


%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Python module which provides "natural sorting".

Under natural sorting, numeric sub-strings are compared numerically,
and the other word characters are compared lexically.

Example:
unsorted:           ['a2', 'a9', 'a1', 'a4', 'a10']
lexicographic sort: ['a1', 'a10', 'a2', 'a4', 'a9']
natural sort:       ['a1', 'a2', 'a4', 'a9', 'a10']


%package -n python3-%{srcname}
Summary:	%{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Python module which provides "natural sorting".

Under natural sorting, numeric sub-strings are compared numerically,
and the other word characters are compared lexically.

Example:
unsorted:           ['a2', 'a9', 'a1', 'a4', 'a10']
lexicographic sort: ['a1', 'a10', 'a2', 'a4', 'a9']
natural sort:       ['a1', 'a2', 'a4', 'a9', 'a10']


%prep
%setup -q -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test


%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{_bindir}/%{srcname}
%{python3_sitelib}/*


%changelog
* Sat Feb  6 2016 José Matos <jamatos@fedoraproject.org> - 4.0.4-1
- update to 4.0.4
- add BR: python-pathlib, python-mock and python-hypothesis to run tests
- clean spec file to take advantage of the new available macros

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Apr  6 2015 José Matos <jamatos@fedoraproject.org> - 3.5.5-1
- update to 3.5.5 (3.5.2+ required by nikola)
- add new dependencies to deal with tests (python?-execnet)

* Fri Sep 26 2014 José Matos <jamatos@fedoraproject.org> - 3.5.1-1
- update to 3.5.1
- add check (tests) section

* Fri May 30 2014 José Matos <jamatos@fedoraproject.org> - 3.2.0-2
- change references to __python to __python2
- fix typo in the list of files of the python3 subpackage that
  referenced the version 2 directory

* Thu May 22 2014 José Matos <jamatos@fedoraproject.org> - 3.2.0-1
- initial package
